org.opencv.features2d

## Class KAZE

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.features2d.Feature2D
    - - org.opencv.features2d.KAZE

-     public class KAZE
      extends Feature2D

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DIFF_CHARBONNIER`
    `static int` | `DIFF_PM_G1`
    `static int` | `DIFF_PM_G2`
    `static int` | `DIFF_WEICKERT`

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `KAZE(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static KAZE` | `__fromPtr__(long addr)`
    `static KAZE` | `create()`
    `static KAZE` | `create(boolean extended)`
    `static KAZE` | `create(boolean extended, boolean upright)`
    `static KAZE` | `create(boolean extended, boolean upright, float threshold)`
    `static KAZE` | `create(boolean extended, boolean upright, float threshold, int nOctaves)`
    `static KAZE` | `create(boolean extended, boolean upright, float threshold, int nOctaves, int nOctaveLayers)`
    `static KAZE` | `create(boolean extended, boolean upright, float threshold, int nOctaves, int nOctaveLayers, int diffusivity)`
    `protected void` | `finalize()`
    `java.lang.String` | `getDefaultName()`
    `int` | `getDiffusivity()`
    `boolean` | `getExtended()`
    `int` | `getNOctaveLayers()`
    `int` | `getNOctaves()`
    `double` | `getThreshold()`
    `boolean` | `getUpright()`
    `void` | `setDiffusivity(int diff)`
    `void` | `setExtended(boolean extended)`
    `void` | `setNOctaveLayers(int octaveLayers)`
    `void` | `setNOctaves(int octaves)`
    `void` | `setThreshold(double threshold)`
    `void` | `setUpright(boolean upright)`

    - ### Methods inherited from class org.opencv.features2d.Feature2D

      `compute, compute, defaultNorm, descriptorSize, descriptorType, detect, detect, detect, detect, detectAndCompute, detectAndCompute, empty, read, write`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DIFF_PM_G1

          public static final int DIFF_PM_G1

      See Also:
        Constant Field Values

    - #### DIFF_PM_G2

          public static final int DIFF_PM_G2

      See Also:
        Constant Field Values

    - #### DIFF_WEICKERT

          public static final int DIFF_WEICKERT

      See Also:
        Constant Field Values

    - #### DIFF_CHARBONNIER

          public static final int DIFF_CHARBONNIER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### KAZE

          protected KAZE(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static KAZE __fromPtr__(long addr)

    - #### create

          public static KAZE create(boolean extended,
                                    boolean upright,
                                    float threshold,
                                    int nOctaves,
                                    int nOctaveLayers,
                                    int diffusivity)

    - #### create

          public static KAZE create(boolean extended,
                                    boolean upright,
                                    float threshold,
                                    int nOctaves,
                                    int nOctaveLayers)

    - #### create

          public static KAZE create(boolean extended,
                                    boolean upright,
                                    float threshold,
                                    int nOctaves)

    - #### create

          public static KAZE create(boolean extended,
                                    boolean upright,
                                    float threshold)

    - #### create

          public static KAZE create(boolean extended,
                                    boolean upright)

    - #### create

          public static KAZE create(boolean extended)

    - #### create

          public static KAZE create()

    - #### getDefaultName

          public java.lang.String getDefaultName()

      Overrides:
        `getDefaultName` in class `Feature2D`

    - #### getExtended

          public boolean getExtended()

    - #### getUpright

          public boolean getUpright()

    - #### getThreshold

          public double getThreshold()

    - #### getDiffusivity

          public int getDiffusivity()

    - #### getNOctaveLayers

          public int getNOctaveLayers()

    - #### getNOctaves

          public int getNOctaves()

    - #### setDiffusivity

          public void setDiffusivity(int diff)

    - #### setExtended

          public void setExtended(boolean extended)

    - #### setNOctaveLayers

          public void setNOctaveLayers(int octaveLayers)

    - #### setNOctaves

          public void setNOctaves(int octaves)

    - #### setThreshold

          public void setThreshold(double threshold)

    - #### setUpright

          public void setUpright(boolean upright)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `Feature2D`
      Throws:
        `java.lang.Throwable`

Generated on Wed Aug 29 2018 10:29:57 UTC / OpenCV 3.4.3